Subject: [Sigtran] [M3UA] Routing Context parameter in ASPAC ACK and ASPIA ACK should be conditional not optional

From: Ash Kat <[email-masked]>
Date: Wed, 9 Jan 2008 19:31:30 +0530 (IST)

Hello All:
 
I require your inputs for a minor change in M3UA RFC 4666.
 
In section 3.7.2 of M3UA RFC 4666, the Routing Context parameter is given optional for ASP Active Ack message.
 
However, as per section 4.3.4.3 (ASP Active Procedures):
   "The Routing Context parameter MUST be included in the ASP
    Active Ack message(s) if the received ASP Active message contained
    any Routing Contexts."
 
It means that Routing Context parameter should be conditional in ASP Active Ack.
 
Also, ASP Inactive Procedure (section 4.3.4.4) does not say anything about the Routing Context in ASP Inactive ACK messages.
 
So the same thing should be included in this section and Routing Context parameter should be made conditional in the ASP Inactive Ack also.
 
Regards,
Ashwani Kathuria

      Get the freedom to save as many mails as you wish. To know how, go to http://help.yahoo.com/l/in/yahoo/mail/yahoomail/tools/tools-08.html

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran